<?php
App::uses('AppModel', 'Model');
/**
 * Registromailing Model
 *
 */
class Registromailing extends AppModel {
/**
 * Use table
 *
 * @var mixed False or table name
 */
	public $useTable = 'registromailing';
	
	public $hasAndBelongsToMany = array(			
			'Contato' => array(
					'joinTable' => 'contato_registromailing',
					'foreignKey' => 'registromailing_id',
					'associationForeignKey' => 'contato_id',
					'conditions' => array(),
			),
	);
		
/**
 * Modelo do arquivo csv (Contatos)
 *
 * Ordem Campo                    Formato
 * 0     Nome do Contato          Texto
 * 1     Telefone                 NN NNNN NNNN
 * 2     Segmento                 Texto
 * 3     Cidade                   Texto
 * 4     UF                       Sigla
 */
	function importContact($filename) {
	
		$chave = md5(date('Y-m-d h:m:s'));
	
		$data = array();
		
		$data['Registromailing']['chave'] = $chave;
		$data['Registromailing']['dataimportacao'] = date('Y-m-d');
		
		$this->create();
		$this->save($data);
		
		$filedata = WWW_ROOT . 'uploads' . DS . $filename;
		$handle = fopen($filedata, "r");
	
		$linha = 0;
		while (($row = fgetcsv($handle, 1000, ";")) !== false) {
			$linha ++;
			if ($linha == 1) continue;
				
			$datac = array();
	
			$datac['Contato']['nome'] = $row[0];
			$datac['Contato']['titular'] = $row[0];
			$datac['Contato']['chaveimportacao'] = $chave;
				
			$this->Contato->create();
			$this->Contato->data = $datac;
			$this->Contato->save();
		}
	
		fclose($handle);
		$file = new File($filedata);
		$file->delete();
	}
	
}
